{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Feria Virtual</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.css' %}">
    <link rel="stylesheet" href="{% static 'css/maine.css' %}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
        integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link rel="icon" type="image/png" href="{% static 'img/favicon.ico' %}">

</head>

<body>

    <div class="container-fluid">
        {% include 'cliente/header.html' %}
    </div>

<!-- Carrito -->

<div class="container">
    <div class="row justify-content-center">

        <div class="col-12 text-center">
            <h4>Carrito de compras</h4>
        </div>
        {% if request.session.cart|length == 0 %}
        <div class="col-12" style="padding-bottom:25px;">
            <h5 style="font-family: sans-serif; color: #797979;">Actualmente no posees ningun producto en el carrito
            </h5>
            <h5 style="font-family: sans-serif; color: #797979; display: inline;">
                Para agregar productos dirigete a la página de un producto y haz click en el botón
            </h5>
            <span style="color:#fff;background-color: #28a745;border-color: #28a745;display: inline-block;padding: 0.375rem 0.75rem;font-size: 1rem;line-height: 1.5;border-radius: 0.25rem;" >Agregar</span>
        </div>
        {% else %}

        <!-- Card 1 -->
        {% for i in request.session.cart %}
        <div class="col-12" id="target2">
            <div class="card" style="margin-top: 15px;">
                <div class="card-body">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-2">

                                {% with i.Producto.Id|stringformat:"s" as productId %}
                                {% with 'img/product/'|add:productId|add:'.jpg' as image_static %}
                                <img src="{% static image_static %}" class="" alt="..."
                                    style="max-height: 150px; border: 1px solid #CCCCCC; border-radius: 0.5rem;">
                                {% endwith %}
                                {% endwith %}

                            </div>
                            <div class="col-7">
                                <a href="#" style="color:#212529">
                                <h6>{{i.Producto.Id}}</h6>
                                <h5>{{i.Producto.Nombre}}</h5>
                                </a>
                            </div>
                            <div class="col-2">

                                <form action="#" method="POST"
                                    id="">
                                    {% csrf_token %}
                                    <label for="cantidad">Cantidad (Toneladas)</label>
                                    <input type="hidden" name="producto" value="">
                                    <input type="number" name="cantidad" id="" value={{i.Toneladas}}
                                        class="form-control form-control-sm">
                                </form>

                                <form action="#" method="POST"
                                    id="" style="margin-top: 8px;">
                                    {% csrf_token %}
                                    <label for="cantidad">Calidad</label>
                                    <input type="hidden" name="producto" value="">
                                    <select name="calidad" id="calidad" class="form-control form-control-sm">
                                        {% for c in calidades %}
                                        <option {% if c.Id == i.Calidad.Id %}selected{% else %}aaaaa{% endif %} value="{{c.Id}}-{{c.Nombre}}">{{c.Nombre}}</option>
                                        {% endfor %}
                                    </select>
                                </form>
                            </div>
                            
                            <div class="col-1 align-self-end">
                                <form action="{% url 'cart_remove' %}" method="post">
                                    {% csrf_token %}
                                    <input type="hidden" name="index" value="{{forloop.counter0}}">
                                    <input type="submit" value="Quitar" class="btn btn-success">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% endfor %}

        <div class="col-12 text-right" style="margin-top: 25px;">
            
            <a class="btn btn-success" href="{% url 'previo_envio' %}">Continuar</a>

        </div>

        {% endif %}


    </div>
</div>


<!-- Termino Carrito -->

    {% include 'cliente/footer.html' %}

    <script src="{% static 'js/jquery.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.js' %}"></script>
    <script src="{% static 'css/slick-1.8.1/slick/slick.min.js' %}"></script>
</body>